> This page is for version v1 API.
> For other versions, use one of these documentation indexes:
> - v2 API (default): https://docs.cohere.com/v2/llms.txt
> - v1 API: https://docs.cohere.com/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cohere.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cohere.com/_mcp/server.

# How to Manage a Cohere Connector

> Learn how to manage connectors, including listing, authorizing, updating settings, and debugging issues.

> **Warning**
>
> Cohere's connector parameter was deprecated on September 15, 2025. For information on how to get connector-like functionality, check out our documentation on [multi-step tool use](https://docs.cohere.com/v1/docs/multi-step-tool-use).

Once your connector is deployed and registered, there are a couple of features that will help you to manage it.

## Listing your Connectors

You can see all the connectors registered under your organization through the [Cohere dashboard](https://dashboard.cohere.com/connectors). Alternatively, you can make a GET request like the one below:

**`CURL`**

```curl CURL
curl --request GET  
  --url 'https://api.cohere.ai/v1/connectors'  
  --header 'Authorization: Bearer {Cohere API key}'
```

**`TYPESCRIPT`**

```typescript TYPESCRIPT
const { CohereClient } = require("cohere-ai");
const cohere = new CohereClient({
    token: "Your API key",
});
(async () => {
  const connectors = await cohere.connectors.list();
  console.log(connectors);
})();
```

**`PYTHON`**

```python PYTHON
import cohere

# initialize the Cohere Client with an API Key

co = cohere.Client("YOUR_API_KEY")
connectors = co.list_connectors()

```

## Authorizing an OAuth 2.0 Connector

If your connector is set up using OAuth 2.0, a user in your organization can authorize the connector through the dashboard by clicking on “connect your account”. Alternatively, you can make a request to the `/oauth/authorize` endpoint in your application. This will provide a redirect URL that the user can follow to authorize the OAuth application.

**`CURL`**

```curl CURL
curl --request POST  
  --url 'https://api.cohere.ai/v1/connectors/{connector-id}/oauth/authorize' 
  --header 'Authorization: Bearer {Cohere API key for user wishing to authorize}'
```

**`TYPESCRIPT`**

```typescript TYPESCRIPT
const { CohereClient } = require("cohere-ai");
const cohere = new CohereClient({
    token: "Your API key",
});
(async () => {
  const connector = await cohere.connectors.oAuthAuthorize("connector-id", {
    redirect_uri: "https://example.com/oauth/callback",
  });
  console.log(connector);
})();
```

## Updating a Connector

You can enable and disable a connector [through the dashboard](https://dashboard.cohere.com/connectors). Additionally, you can update the connector name, URL, auth settings, and handle similar sorts of tasks through the API, as follows:

**`CURL`**

```curl CURL
curl --request PATCH  
  --url 'https://api.cohere.ai/v1/connectors/{id}' 
  --header 'Authorization: Bearer {Cohere API key}'  
  --header 'Content-Type: application/json'  
  --data '{  
        "name": "new connector name",  
        "url": "https://new-connector-example.com/search",  
        "auth_type": "oauth",  
        "oauth": {  
            "authorize_url": "https://new.com/authorize",  
            "token_url": "https://new.com/access",  
            "scope": "new_scope"  
        },  
        "active": true,  
    }'
```

**`PYTHON`**

```python PYTHON
import cohere

# initialize the Cohere Client with an API Key
co = cohere.Client("YOUR_API_KEY")
connectors = co.update_connector(
    connector_id, name="new name", url="new_url"
)
```

**`TYPESCRIPT`**

```typescript TYPESCRIPT
const { CohereClient } = require("cohere-ai");
const cohere = new CohereClient({
    token: "Your API key",
});
(async () => {
  const connector = await cohere.connectors.update(connector.id, {
    name: "test-connector-renamed",
    description: "A test connector renamed"
  });
  console.log(connector);
})();
```

## Debugging a Connector

To debug issues with a registered connector, you can follow the steps in this section.

Step 1: Make a streaming request to the connector using the Chat API and check the search results for the error. Here's an example request:

**`PYTHON`**

```python PYTHON
import cohere

co = cohere.Client("Your API key")
response = co.chat(
    message="What is the chemical formula for glucose?",
    stream=True,
    connectors=[
        {"id": "example_connector_id"}
    ],  # this is from the create step
)
```

**`CURL`**

```curl CURL
curl --request POST  \
--url <https://api.cohere.ai/chat>  \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {Your API key}' \
--data '
{
    "stream" : true,  
    "message": "What is the chemical formula for glucose?",
    "connectors": [{"id": "example_connector_id"}]
}
```

**`TYPESCRIPT`**

```typescript TYPESCRIPT
import { CohereClient } from "cohere-ai";
const cohere = new CohereClient({
    token: "YOUR_API_KEY",
});
(async () => {
    const response = await cohere.chat({
      message:"What is the chemical formula for glucose?", 
      stream:True,
      connectors:[{"id": "web-search"}],  
    });
    console.log("Received response", response);
})();
```

**`GO`**

```go GO
import (
  "context"
  
  cohere       "github.com/cohere-ai/cohere-go/v2"
  cohereclient "github.com/cohere-ai/cohere-go/v2/client"
)
client := cohereclient.NewClient(cohereclient.WithToken("<YOUR_AUTH_TOKEN>"))
response, err := client.Chat(
  context.TODO(),
  &cohere.ChatRequest{
    Stream: true,
    Message: "What is the chemical formula for glucose?",
    Connectors:[]*cohereclient.ChatConnector{{Id: "web-search"}}, 
  } 
)
```

The response in the search results array should contain the error message from the connector:

**`Example Response JSON`**

```json Example Response JSON
 "search_results": [  
    {  
        "connector": {  
            "id": "connector_id"  
        },  
        "error_message":"connector error message"  
    }
```

Step 2: In Cohere’s [dashboard](https://dashboard.cohere.com/connectors) you can view and filter the logs from calling your connector. Change the response filter to “error” to see the error messages returned from your connector.